### Method

# Gio SocketConnection get_local_address

since: 2.22

#### Declaration [src]

    GSocketAddress*
    g_socket_connection_get_local_address (
      GSocketConnection* connection
      GError** error
    )

#### Description [src]

Try to get the local address of a socket connection.

Available since: 2.22

#### Return value

Type: `GSocketAddress`

A `GSocketAddress` or `NULL` on error. Free the returned object with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.